> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Terraform tfvars files from Git repository



## OpenAPI

````yaml /api-reference/openapi.yaml post /organization/{organizationId}/listTfVarsFilesFromGitRepo
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Secret Manager Access
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /organization/{organizationId}/listTfVarsFilesFromGitRepo:
    post:
      tags:
        - Organization Main Calls
      summary: List Terraform tfvars files from Git repository
      operationId: listTfVarsFilesFromGitRepo
      parameters:
        - $ref: '#/components/parameters/organizationId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TfVarsListRequest'
      responses:
        '200':
          description: List of Terraform tfvars files with their variables
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/TfVarsFileResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    organizationId:
      name: organizationId
      in: path
      description: Organization ID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    TfVarsListRequest:
      title: TfVarsListRequest
      type: object
      description: Request to list Terraform tfvars files from a Git repository
      required:
        - git_repository
        - mode
      properties:
        git_repository:
          $ref: '#/components/schemas/ApplicationGitRepositoryRequest'
        mode:
          $ref: '#/components/schemas/TfVarsDiscoveryMode'
    TfVarsFileResponse:
      title: TfVarsFileResponse
      type: object
      description: Represents a Terraform tfvars file with its variables
      required:
        - source
        - variables
      properties:
        source:
          type: string
          description: The path to the tfvars file within the Git repository
          example: environments/prod.tfvars
        variables:
          type: object
          additionalProperties:
            type: string
          description: Map of variable names to their values from the tfvars file
          example:
            environment: production
            region: us-east-1
    ApplicationGitRepositoryRequest:
      type: object
      required:
        - url
        - owner
        - name
        - provider
      properties:
        url:
          type: string
          description: application git repository URL
          example: https://github.com/Qovery/simple-node-app
        branch:
          type: string
          description: |
            Name of the branch to use. This is optional
            If not specified, then the branch used is the `main` or `master` one
          example: feat/text_xxx
        root_path:
          type: string
          default: /
          description: indicates the root path of the application.
        git_token_id:
          type: string
          format: uuid
          description: The git token id on Qovery side
          nullable: true
        provider:
          $ref: '#/components/schemas/GitProviderEnum'
    TfVarsDiscoveryMode:
      title: TfVarsDiscoveryMode
      description: >-
        Discovery mode for Terraform tfvars files - either auto-discover or
        specify paths
      oneOf:
        - $ref: '#/components/schemas/TfVarsDiscoveryModeAutoDiscover'
        - $ref: '#/components/schemas/TfVarsDiscoveryModeSpecificPaths'
      discriminator:
        propertyName: type
        mapping:
          AutoDiscover:
            $ref: '#/components/schemas/TfVarsDiscoveryModeAutoDiscover'
          SpecificPaths:
            $ref: '#/components/schemas/TfVarsDiscoveryModeSpecificPaths'
    GitProviderEnum:
      type: string
      enum:
        - BITBUCKET
        - GITHUB
        - GITLAB
    TfVarsDiscoveryModeAutoDiscover:
      title: TfVarsDiscoveryModeAutoDiscover
      type: object
      description: Automatically discover all tfvars files in the repository
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - AutoDiscover
          description: Discriminator for auto-discovery mode
    TfVarsDiscoveryModeSpecificPaths:
      title: TfVarsDiscoveryModeSpecificPaths
      type: object
      description: Discover tfvars files at specific paths only
      required:
        - type
        - paths
      properties:
        type:
          type: string
          enum:
            - SpecificPaths
          description: Discriminator for specific paths mode
        paths:
          type: array
          items:
            type: string
          description: List of specific paths to tfvars files
          example:
            - /environments/prod.tfvars
            - /environments/staging.tfvars
  responses:
    '400':
      description: Bad request
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````